--- OLD/xc/lib/X11/SetHints.c	Thu Jan  1 00:00:00 1970
+++ NEW/xc/lib/X11/SetHints.c	Thu Jan  1 00:00:00 1970
@@ -51,7 +51,7 @@
 
 #define safestrlen(s) ((s) ? strlen(s) : 0)
 
-XSetSizeHints(dpy, w, hints, property)		/* old routine */
+void XSetSizeHints(dpy, w, hints, property)		/* old routine */
 	Display *dpy;
 	Window w;
 	XSizeHints *hints;
@@ -73,9 +73,9 @@
 	prop.minAspectY = hints->min_aspect.y;
 	prop.maxAspectX = hints->max_aspect.x;
 	prop.maxAspectY = hints->max_aspect.y;
-	return XChangeProperty (dpy, w, property, XA_WM_SIZE_HINTS, 32,
-				PropModeReplace, (unsigned char *) &prop, 
-				OldNumPropSizeElements);
+	XChangeProperty (dpy, w, property, XA_WM_SIZE_HINTS, 32,
+			PropModeReplace, (unsigned char *) &prop, 
+			OldNumPropSizeElements);
 }
 
 /* 
@@ -83,7 +83,7 @@
  *	WM_HINTS 	type: WM_HINTS	format:32
  */
 
-XSetWMHints (dpy, w, wmhints)
+void XSetWMHints (dpy, w, wmhints)
 	Display *dpy;
 	Window w;
 	XWMHints *wmhints; 
@@ -98,9 +98,9 @@
 	prop.iconY = wmhints->icon_y;
 	prop.iconMask = wmhints->icon_mask;
 	prop.windowGroup = wmhints->window_group;
-	return XChangeProperty (dpy, w, XA_WM_HINTS, XA_WM_HINTS, 32,
-				PropModeReplace, (unsigned char *) &prop, 
-				NumPropWMHintsElements);
+	XChangeProperty (dpy, w, XA_WM_HINTS, XA_WM_HINTS, 32,
+			PropModeReplace, (unsigned char *) &prop, 
+			NumPropWMHintsElements);
 }
 
 
@@ -110,12 +110,12 @@
  *	WM_ZOOM_HINTS 	type: WM_SIZE_HINTS format: 32
  */
 
-XSetZoomHints (dpy, w, zhints)
+void XSetZoomHints (dpy, w, zhints)
 	Display *dpy;
 	Window w;
 	XSizeHints *zhints;
 {
-	return XSetSizeHints (dpy, w, zhints, XA_WM_ZOOM_HINTS);
+	XSetSizeHints (dpy, w, zhints, XA_WM_ZOOM_HINTS);
 }
 
 
@@ -124,12 +124,12 @@
  *	WM_NORMAL_HINTS 	type: WM_SIZE_HINTS format: 32
  */
 
-XSetNormalHints (dpy, w, hints)			/* old routine */
+void XSetNormalHints (dpy, w, hints)			/* old routine */
 	Display *dpy;
 	Window w;
 	XSizeHints *hints;
 {
-	return XSetSizeHints (dpy, w, hints, XA_WM_NORMAL_HINTS);
+	XSetSizeHints (dpy, w, hints, XA_WM_NORMAL_HINTS);
 }
 
 
@@ -140,7 +140,7 @@
  * routine will take care of converting to host to network data structures.
  */
 
-XSetIconSizes (dpy, w, list, count)
+void XSetIconSizes (dpy, w, list, count)
 	Display *dpy;
 	Window w;	/* typically, root */
 	XIconSize *list;
@@ -167,10 +167,9 @@
 			     count * NumPropIconSizeElements);
 	    Xfree ((char *)prop);
 	}
-	return 1;
 }
 
-XSetCommand (dpy, w, argv, argc)
+void XSetCommand (dpy, w, argv, argc)
 	Display *dpy;
 	Window w;
 	char **argv;
@@ -196,7 +195,6 @@
 			     PropModeReplace, (unsigned char *)buf, nbytes);
 	    Xfree(buf);		
 	}
-	return 1;
 }
 /* 
  * XSetStandardProperties sets the following properties:
@@ -208,7 +206,7 @@
  */
 
 #if NeedFunctionPrototypes
-XSetStandardProperties (
+void XSetStandardProperties (
     	Display *dpy,
     	Window w,		/* window to decorate */
     	_Xconst char *name,	/* name of application */
@@ -218,7 +216,7 @@
     	int argc,		/* count of arguments */
     	XSizeHints *hints)	/* size hints for window in its normal state */
 #else
-XSetStandardProperties (dpy, w, name, icon_string, icon_pixmap, argv, argc, hints)
+void XSetStandardProperties (dpy, w, name, icon_string, icon_pixmap, argv, argc, hints)
     	Display *dpy;
     	Window w;		/* window to decorate */
     	char *name;		/* name of application */
@@ -248,20 +246,18 @@
 	if (hints != NULL) XSetNormalHints(dpy, w, hints);
 
 	if (phints.flags != 0) XSetWMHints(dpy, w, &phints);
-
-	return 1;
 }
 
-XSetTransientForHint(dpy, w, propWindow)
+void XSetTransientForHint(dpy, w, propWindow)
 	Display *dpy;
 	Window w;
 	Window propWindow;
 {
-	return XChangeProperty(dpy, w, XA_WM_TRANSIENT_FOR, XA_WINDOW, 32,
-			       PropModeReplace, (unsigned char *) &propWindow, 1);
+	XChangeProperty(dpy, w, XA_WM_TRANSIENT_FOR, XA_WINDOW, 32,
+			PropModeReplace, (unsigned char *) &propWindow, 1);
 }
 
-XSetClassHint(dpy, w, classhint)
+void XSetClassHint(dpy, w, classhint)
 	Display *dpy;
 	Window w;
 	XClassHint *classhint;
@@ -288,5 +284,4 @@
 			    len_nm+len_cl+2);
 	    Xfree(class_string);
 	}
-	return 1;
 }
